=== debian/changelog ===
qtbase-opensource-src (5.0.1+dfsg-0ubuntu4) raring; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * debian/patches/enable_appmenu_support.diff:
    - Add base-ported support for the Ubuntu global appmenu (LP: #1126205)
  * debian/rules:
    - Enable appmenu support when building the package

  [ Timo Jyrinki ] 
  * Add build dependency on libgtk2.0-dev (and libatk1.0-dev) for 
    gtkstyle support (LP: #1126210)
  * Add Vcs-Bzr for ~kubuntu-packagers
  * Because qt5.conf was moved to qtbase5-dev, depend on it from 
    qt5-default. This means standalone development binaries like 
    qmlscene cannot be used from the default path without installing 
    development headers. Use deep paths instead.
  * Fix qmake-qt5 package description (LP: #1133196)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 19 Mar 2013 12:47:57 +0000

qtbase-opensource-src (5.0.1+dfsg-0ubuntu3b1) raring; urgency=low

  * No-change rebuild against libudev1

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Mar 2013 07:01:45 +0000

qtbase-opensource-src (5.0.1+dfsg-0ubuntu3) raring; urgency=low

  * debian/control:
    - Drop support for firebird, as it isn't in main

 -- Michael Terry <mterry@ubuntu.com>  Wed, 20 Feb 2013 17:07:31 +0000

qtbase-opensource-src (5.0.1+dfsg-0ubuntu2) raring; urgency=low

  * Undefined B0 in qpagedpaintdevice.h too (already done in qprinter.h).
    No comment on using two letter capital identifiers as enum values in
    a public API.  LP: #1125949.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Feb 2013 21:42:15 +0100

qtbase-opensource-src (5.0.1+dfsg-0ubuntu1) raring; urgency=low

  * Initial release.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 12 Feb 2013 13:01:42 +0000
