=== debian/watch ===
version=3
http://origin.releases.qt-project.org/qt5/([\d\.]*)/submodules_tar/qtbase-opensource-src-([^-]*)\.tar.xz
